# BiGAr Boolean Subtraction and Voxelization Scripts, part 1
# This script imports two surfaces into Blender and prepares the result for  a Boolean subtraction.
# Copyright (C) 2024 Dr. Marco Cavalazzi, see acknowledgements at <https://site.unibo.it/bim-gis-integration-for-archaeology/en>

# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program. If not, see <https://www.gnu.org/licenses/>.

import bpy

# Paths to the surfaces (use raw strings to handle Windows paths properly)
surface_1_path = r"your path"
surface_2_path = r"your path"

# Function to import OBJ file
def import_obj(filepath):
    bpy.ops.import_scene.obj(filepath=filepath)

# Import surfaces
import_obj(surface_1_path)
import_obj(surface_2_path)

# Assuming the imported objects are named as the filenames without the extension
surface_1_name = "Your Stratigraphic Unit 1"
surface_2_name = "Your Stratigraphic Unit 2"

# Get references to the imported objects
surface_1_obj = bpy.data.objects.get(surface_1_name)
surface_2_obj = bpy.data.objects.get(surface_2_name)

# Print debug information
print(f"Surface 1: {surface_1_obj}")
print(f"Surface 2: {surface_2_obj}")
